using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace qtc_net_client_2.ClientModel
{
    public class ClientUpdateInfo
    {
        [JsonPropertyName("clientFileName")]
        [JsonRequired]
        public string ClientFileName { get; set; } = "QtCNetChat.exe";
        [JsonPropertyName("version")]
        [JsonRequired]
        public string Version { get; set; } = string.Empty;
        [JsonPropertyName("downloadUri")]
        [JsonRequired]
        public string DownloadUrl { get; set; } = string.Empty;
        [JsonPropertyName("updateMandatory")]
        [JsonRequired]
        public bool IsUpdateMandatory { get; set; } = false;
    }
}
